 @import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:wght@100;200;300;400;500;600;700;800;900&display=swap');
 @font-face {
     font-family: "NotoSansThai";
     src: url("../fonts/NotoSansThaiSemiCondensed.ttf") format("truetype");
     font-weight: 400;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSansThai";
     src: url("../fonts/NotoSansThaiSemiCondensedMedium.ttf") format("truetype");
     font-weight: 500;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSansThai";
     src: url("../fonts/NotoSansThaiSemiCondensedSemiBold.ttf") format("truetype");
     font-weight: 600;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSansThai";
     src: url("../fonts/NotoSansThaiSemiCondensedBold.ttf") format("truetype");
     font-weight: 700;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSansThai";
     src: url("../fonts/NotoSansThaiSemiCondensedBlack.ttf") format("truetype");
     font-weight: 900;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSans";
     src: url("../fonts/NotoSansSemiCondensed.ttf") format("truetype");
     font-weight: 400;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSans";
     src: url("../fonts/NotoSansSemiCondensedMedium.ttf") format("truetype");
     font-weight: 500;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSans";
     src: url("../fonts/NotoSansSemiCondensedSemiBold.ttf") format("truetype");
     font-weight: 600;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSans";
     src: url("../fonts/NotoSansSemiCondensedBold.ttf") format("truetype");
     font-weight: 700;
     font-style: normal;
 }
 
 @font-face {
     font-family: "NotoSans";
     src: url("../fonts/NotoSansSemiCondensedBlack.ttf") format("truetype");
     font-weight: 900;
     font-style: normal;
 }
 
 * {
     font-variant-ligatures: none;
 }
 
 body {
     font-family: 'NotoSansThai', 'Barlow Semi Condensed' !important;
     font-weight: 400;
     color: #858796;
     font-size: 1em;
 }
 
 table.dataTable thead th {
     position: relative;
     background-image: none !important;
 }
 
 table.dataTable thead th.sorting:after,
 table.dataTable thead th.sorting_asc:after,
 table.dataTable thead th.sorting_desc:after {
     position: absolute;
     top: 12px;
     right: 8px;
     display: block;
     font-family: FontAwesome;
 }
 
 .js-my-data {
     display: none;
 }
 
 .ftitle {
     font-size: 1.5em;
 }
 
 .table th,
 .table td {
     vertical-align: middle !important;
 }
 
 .barfooinner {
     background: #ffffff;
     box-shadow: 0px -1px 5px rgba(0, 0, 0, 0.2);
 }
 
 page[size="A4"] {
     background: white;
     width: 21cm;
     height: 29.7cm;
     display: block;
     margin: 0 auto;
     margin-bottom: 0.5cm;
     padding: 8mm;
 }
 
 .oneline {
     display: -webkit-box;
     -webkit-line-clamp: 1;
     -webkit-box-orient: vertical;
     overflow: hidden;
     text-overflow: ellipsis;
 }
 
 .editselect select {
     display: none;
 }
 
 .logoform {
     width: 120px;
     text-align: center;
 }
 
 .logoform img {
     width: 100%;
 }
 
 .bg-violet {
     background-color: #1b1b1b !important;
 }
 
 .clblack {
     color: #000;
 }
 
 .topicEcompany {
     font-size: 14px;
     font-weight: 600;
 }
 
 .addEcompany {
     font-size: 12px;
     font-weight: 500;
 }
 
 .fstxt {
     font-size: 13px;
     font-weight: 500;
 }
 
 .htxt {
     height: 10px;
 }
 
 .fw500 {
     font-weight: 500;
 }
 
 .px75rem {
     padding-right: 0.75rem;
     padding-left: 0.75rem;
 }
 
 .fstxtsm {
     font-size: 11px;
     font-weight: 500;
 }
 
 .fstxtmain {
     font-size: 13.5px;
     font-weight: 500;
 }

 .icreport{
    font-size: 4em;
    line-height: 1.2em;
 }

 .icreport img{
    width: 65px;
    margin-bottom: 10px;
 }
 
 .dividerblack {
     height: 0;
     margin: 0.5rem 0;
     overflow: hidden;
     border-top: 1px solid #eaecf4;
     border-color: black;
 }
 
 .bg-black {
     background: #000;
 }
 
 .bd1 {
     border-color: #000 !important;
 }
 
 .tf.table-bordered th,
 .tf.table-bordered td {
     border: 1px solid #000000;
 }
 
 .tf.table th,
 .tf.table td {
     vertical-align: top !important;
 }
 
 .tf tfoot th {
     font-weight: 500 !important;
 }
 
 .txtlogo {
     font-size: 1.2em;
     font-weight: 600;
 }
 
 .txtbar {
     font-size: 14px;
 }
 
 .barmarfoo {
     height: 80px;
 }
 
 .boxh {
     height: 70px;
 }
 
 .boxout {
     direction: ltr;
 }
 
 .boxin {
     position: sticky;
     top: 0;
     left: 0;
     width: 0px;
     display: flex;
     height: 100vh;
     flex-direction: column;
     flex-direction: column;
     flex-wrap: wrap;
     justify-content: flex-start;
     align-content: flex-start;
     align-items: flex-start;
 }
 
 .toggled .boxin {
     width: 230px;
 }
 
 .boxsc {
     display: flex;
     flex-direction: column;
     height: 100vh;
     width: 100%;
     padding-bottom: 0 !important;
 }
 
 .scrollbar {
     margin-left: 30px;
     float: left;
     height: 300px;
     width: 65px;
     background: #F5F5F5;
     overflow-y: scroll;
     margin-bottom: 25px;
 }
 
 #style-4 {
     overflow: auto;
 }
 
 #style-4::-webkit-scrollbar-track {
     -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
     background-color: #4061c1;
 }
 
 #style-4::-webkit-scrollbar {
     width: 8px;
     background-color: #fff;
 }
 
 #style-4::-webkit-scrollbar-thumb {
     background-color: rgb(255 255 255 / 40%);
 }
 
 .bgblue {
     background: #1b1b1b;
 }
 
 .bgsubblue {
     background: #2f46d0;
 }
 
 .icmenuleft {
     background: #313131;
     border-radius: 100%;
     padding: 4px;
     width: 32px;
 }
 
 .txtdash {
     font-size: 1.2em;
 }
 
 .bdr {
     border-radius: 0.35rem;
 }
 
 .fw600 {
     font-weight: 600;
 }
 
 .singlesalon img {
     width: 700px;
 }
 
 .singlesalon {
     text-align: center;
 }
 
 .ictop {
     font-size: 1.5em;
 }
 
 .notinum {
     font-size: 16px;
 }
 /*Profile Pic Start*/
 
 .picture-container {
     position: relative;
     cursor: pointer;
     text-align: center;
 }
 
 .picture {
     width: 180px;
     height: 180px;
     background-color: #999999;
     border: 4px solid #CCCCCC;
     color: #FFFFFF;
     border-radius: 50%;
     margin: 0px auto;
     overflow: hidden;
     transition: all 0.2s;
     -webkit-transition: all 0.2s;
 }
 
 .picture:hover {
     border-color: #4e73df;
 }
 
 .content.ct-wizard-green .picture:hover {
     border-color: #4e73df;
 }
 
 .content.ct-wizard-blue .picture:hover {
     border-color: #3472f7;
 }
 
 .content.ct-wizard-orange .picture:hover {
     border-color: #ff9500;
 }
 
 .content.ct-wizard-red .picture:hover {
     border-color: #ff3b30;
 }
 
 .picture input[type="file"] {
     cursor: pointer;
     display: block;
     height: 100%;
     left: 0;
     opacity: 0 !important;
     position: absolute;
     top: 0;
     width: 100%;
 }
 
 .picture-src {
     width: 100%;
 }
 /*Profile Pic End*/
 
 @media (min-width: 768px) {
     .boxin {
         width: 0;
     }
     .toggled .boxin {
         width: 230px;
     }
 }
 
 @media (max-width: 768px) {
     .txtdash {
         font-size: 14px !important;
     }
     .txtnum {
         font-size: 30px;
     }
     #chat_bot_table td:nth-child(3),
     #chat_bot_table th:nth-child(3) {
         display: none;
     }
     #chat_bot_table td:nth-child(4),
     #chat_bot_table th:nth-child(4) {
         display: none;
     }
 }
 
 @media (max-width: 1200px) {
     .singlesalon img {
         width: 100%;
     }
 }
 
 .boxingem {
     height: 100vh
 }
 
 .boxlie {
     height: 100vh
 }
 
 .bgnavy {
     background: rgb(2, 0, 36);
     background: linear-gradient(0deg, rgba(2, 0, 36, 1) 0%, rgba(25, 34, 159, 1) 100%);
 }
 
 .fstitle {
     font-size: 20px;
 }
 
 .bgw {
     background: #f0f2f7;
 }
 
 #play-pause-button {
     font-size: 2em;
     color: #fff;
     cursor: pointer;
 }
 
 .bgs {
     background: url(../img/bgs.png);
     background-size: cover;
     background-position: center center;
     margin: 0 auto;
     text-align: center;
     position: relative;
     height: 480px;
     width: 100%;
 }
 
 .txt3 {
     font-size: 3em;
 }
 
 .txt1 {
     font-size: 3em;
 }
 
 .txtred {
     color: #e20000;
 }
 
 .fw700 {
     font-weight: 700;
 }
 
 .z9 {
     z-index: 9;
 }
 
 .bdr {
     border-radius: 10px;
 }
 
 .fsnum {
     font-size: 32px;
     line-height: 1.2em;
     font-weight: 600;
 }
 
 .fspercent {
     font-size: 20px;
 }
 
 .passcode {
     display: none;
 }
 
 .bg1 {
     background: rgb(0, 46, 227);
     /*background: linear-gradient(54deg, rgba(0,46,227,1) 0%, rgba(8,255,232,1) 100%);*/
 }
 
 .bg2 {
     background: rgb(0, 193, 51);
     /*  background: linear-gradient(54deg, rgb(0 193 51) 0%, rgb(211 255 36) 100%);*/
 }
 
 .bg3 {
     background: rgb(245 45 0);
     /*  background: linear-gradient(54deg, rgb(245 45 0) 0%, rgb(255 198 36) 100%);*/
 }
 
 .bg4 {
     background: rgb(244, 0, 52);
     /*  background: linear-gradient(54deg, rgb(224 0 52) 0%, rgb(255 57 212) 100%);*/
 }
 
 .bg5 {
     background: rgb(159, 0, 241);
     /*    background: linear-gradient(54deg, rgb(159 0 241) 0%, rgb(231 36 255) 100%);*/
 }
 
 .icpo {
     top: 0;
     top: 50%;
     transform: translateY(-50%);
     font-size: 3.5em;
     position: absolute;
     right: 10px;
     opacity: 0.4;
 }
 
 .bgsap {
     background: rgb(29, 29, 29);
     background: linear-gradient(90deg, rgba(29, 29, 29, 1) 0%, rgba(48, 48, 48, 1) 100%);
     border: 2px solid #303030;
 }
 
 .gem {
     position: relative;
     bottom: -140px;
     margin: 0 auto;
     width: 100%;
     height: 260px;
 }
 
 .gem img {
     position: relative;
     margin-top: -15px;
     animation-name: floating_2;
     animation-duration: 3s;
     animation-timing-function: cubic-bezier(0.45, 0.05, 0.55, 0.95);
     animation-iteration-count: infinite;
     animation: rotation 30s infinite linear;
 }
 
 .gemb {
     position: relative;
     bottom: -170px;
     margin: 0 auto;
     width: 100%;
 }
 
 .gemb img {
     position: relative;
     margin-top: -15px;
     animation-name: floating_2;
     animation-duration: 3s;
     animation-timing-function: cubic-bezier(0.45, 0.05, 0.55, 0.95);
     animation-iteration-count: infinite;
 }
 
 @keyframes floating_2 {
     0% {
         margin-top: -15px;
     }
     50% {
         margin-top: 0px;
     }
 }
 /*.gem img:hover {
  animation: rotation 20s infinite linear;
}*/
 
 @keyframes rotation {
     from {
         transform: rotate(0deg);
     }
     to {
         transform: rotate(359deg);
     }
 }
 
 @media only screen and (max-width: 768px) {
     .fsnum {
         font-size: 20px;
         font-weight: 600;
     }
     .fspercent {
         font-size: 14px;
     }
     .gem img,
     .gemb img {
         width: 200px;
     }
     .gem {
         position: relative;
         bottom: -190px;
         margin: 0 auto;
         width: 100%;
         height: auto;
     }
     .gemb {
         position: relative;
         bottom: -250px;
         margin: 0 auto;
         width: 100%;
     }
     .boxingem {
         height: 90vh;
         padding-top: 20px;
     }
     .boxlie {
         height: 90vh
     }
     .txt1 {
         font-size: 2em;
     }
 }
 
 .bgblack {
     background: #000;
 }
 
 .switch {
     position: relative;
     display: inline-block;
     width: 60px;
     height: 34px;
 }
 
 .switch input {
     opacity: 0;
     width: 0;
     height: 0;
 }
 
 .slider {
     position: absolute;
     cursor: pointer;
     top: 0;
     left: 0;
     right: 0;
     bottom: 0;
     background-color: #ccc;
     -webkit-transition: .4s;
     transition: .4s;
 }
 
 .slider:before {
     position: absolute;
     content: "";
     height: 26px;
     width: 26px;
     left: 4px;
     bottom: 4px;
     background-color: white;
     -webkit-transition: .4s;
     transition: .4s;
 }
 
 input:checked+.slider {
     background-color: #00bb64;
 }
 
 input:focus+.slider {
     box-shadow: 0 0 1px #00bb64;
 }
 
 input:checked+.slider:before {
     -webkit-transform: translateX(26px);
     -ms-transform: translateX(26px);
     transform: translateX(26px);
 }
 /* Rounded sliders */
 
 .slider.round {
     border-radius: 34px;
 }
 
 .slider.round:before {
     border-radius: 50%;
 }